For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesIntegrationsAPI ReferencesRelease notes
GuidesIntegrationsAPI ReferencesRelease notes
    • APIs overview
  • Upload API
    • Errors
  • REST API
    • Authentication
    • File Metadata
    • Add Ons
      • GETList of webhooks
      • POSTCreate webhook
      • PUTUpdate webhook
      • DELDelete webhook
    • Changelog
    • Versioning
  • URL API
    • File Information
    • File Names
    • File groups
    • Image processing limitations
    • Image compression
    • Image resize and crop
    • Image rotation
    • Image overlays
    • Image colors
    • Image definition
    • Image recognition
    • Other image operations
    • Proxy
    • Signed URLs
    • CDN settings
    • Integrations
Dashboard
LogoLogo
REST APIWebhook

Delete webhook

DELETE
https://api.uploadcare.com/webhooks/unsubscribe/
DELETE
/webhooks/unsubscribe/
$curl -X DELETE https://api.uploadcare.com/webhooks/unsubscribe/ \
> -H "Accept: application/vnd.uploadcare-v0.7+json" \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/x-www-form-urlencoded" \
> -d "target_url=http%3A%2F%2Fexample.com%2Fhooks%2Freceiver"
Unsubscribe and delete a webhook.
Was this page helpful?
Previous

Document info

Next
Built with

Authentication

Authorizationstring

Every request made to https://api.uploadcare.com/ MUST be signed. HTTPS SHOULD be used with any authorization scheme.

Requests MUST contain the Authorization header defining auth-scheme and auth-param: Authorization: auth-scheme auth-param.

Every request MUST contain the Accept header identifying the REST API version: Accept: application/vnd.uploadcare-v0.7+json.

There are two available authorization schemes:

  • For production: Uploadcare, a scheme where a signature, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend.
  • For quick tests: Uploadcare.Simple, a simple scheme where your Secret API Key MUST be specified in every request’s auth-param.

Headers

AcceptstringRequired
Version header.

Request

This endpoint expects an object.
target_urlstringRequiredformat: "uri"<=255 characters

A URL that is triggered by an event, for example, a file upload. A target URL MUST be unique for each project — event type combination.

Response

Webhook successfully deleted.

Errors

400
Bad Request Error
401
Unauthorized Error
406
Not Acceptable Error
429
Too Many Requests Error